Bug 180304 - New port: devel/p5-Test-Able-Runner
Summary: New port: devel/p5-Test-Able-Runner
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 13:50 UTC by Anes Mukhametov
Modified: 2013-09-22 19:34 UTC (History)
0 users

See Also:


Attachments
p5-Test-Able-Runner.shar (2.60 KB, text/plain)
2013-07-05 13:50 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 13:50:00 UTC
	New port: devel/p5-Test-Able-Runner	
	Use Test::Able without a bunch of boilerplate
	Requires: ports/180303
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 13:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:56:25 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:53 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Po-Chuan Hsieh freebsd_committer 2013-09-22 18:20:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-09-22 19:03:09 UTC
Author: sunpoet
Date: Sun Sep 22 18:02:55 2013
New Revision: 327886
URL: http://svnweb.freebsd.org/changeset/ports/327886

Log:
  - Add p5-Test-Able-Runner 1.001
  - While I'm here, add LICENSE and NO_STAGE
  
  Provides basic test runner via use_test_packages by base package or a list
  of test packages. Allows you to choose your test paths.
  Use Test::Able without a bunch of boilerplate.
  
  WWW: http://search.cpan.org/dist/Test-Able-Runner/
  
  PR:		ports/180304
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/devel/p5-Test-Able-Runner/
  head/devel/p5-Test-Able-Runner/Makefile   (contents, props changed)
  head/devel/p5-Test-Able-Runner/distinfo   (contents, props changed)
  head/devel/p5-Test-Able-Runner/pkg-descr   (contents, props changed)
  head/devel/p5-Test-Able-Runner/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sun Sep 22 18:01:49 2013	(r327885)
+++ head/devel/Makefile	Sun Sep 22 18:02:55 2013	(r327886)
@@ -2743,6 +2743,7 @@
     SUBDIR += p5-Term-VT102-Boundless
     SUBDIR += p5-Term-Visual
     SUBDIR += p5-Test-Able
+    SUBDIR += p5-Test-Able-Runner
     SUBDIR += p5-Test-Aggregate
     SUBDIR += p5-Test-Assertions
     SUBDIR += p5-Test-Base

Added: head/devel/p5-Test-Able-Runner/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-Able-Runner/Makefile	Sun Sep 22 18:02:55 2013	(r327886)
@@ -0,0 +1,28 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Test-Able-Runner
+PORTVERSION=	1.001
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Use Test::Able without a bunch of boilerplate
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-Module-Pluggable>=3.6:${PORTSDIR}/devel/p5-Module-Pluggable \
+		p5-Moose>=0.94:${PORTSDIR}/devel/p5-Moose \
+		p5-Test-Able>=0.09:${PORTSDIR}/devel/p5-Test-Able
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+NO_STAGE=	yes
+USE_PERL5=	configure
+USES=		perl5
+
+MAN3=		Test::Able::Runner.3 \
+		Test::Able::Runner::Role::Meta::Class.3
+
+.include <bsd.port.mk>

Added: head/devel/p5-Test-Able-Runner/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-Able-Runner/distinfo	Sun Sep 22 18:02:55 2013	(r327886)
@@ -0,0 +1,2 @@
+SHA256 (Test-Able-Runner-1.001.tar.gz) = 5fdf880774f46f3687d4e089195125d0a89e6a0e0d39751f732280eea2fa2f7b
+SIZE (Test-Able-Runner-1.001.tar.gz) = 11712

Added: head/devel/p5-Test-Able-Runner/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-Able-Runner/pkg-descr	Sun Sep 22 18:02:55 2013	(r327886)
@@ -0,0 +1,5 @@
+Provides basic test runner via use_test_packages by base package or a list
+of test packages. Allows you to choose your test paths.
+Use Test::Able without a bunch of boilerplate.
+
+WWW: http://search.cpan.org/dist/Test-Able-Runner/

Added: head/devel/p5-Test-Able-Runner/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Test-Able-Runner/pkg-plist	Sun Sep 22 18:02:55 2013	(r327886)
@@ -0,0 +1,11 @@
+%%SITE_PERL%%/Test/Able/Runner.pm
+%%SITE_PERL%%/Test/Able/Runner/Role/Meta/Class.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Test/Able/Runner/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Test/Able/Runner
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Test/Able
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Test
+@dirrmtry %%SITE_PERL%%/Test/Able/Runner/Role/Meta
+@dirrmtry %%SITE_PERL%%/Test/Able/Runner/Role
+@dirrmtry %%SITE_PERL%%/Test/Able/Runner
+@dirrmtry %%SITE_PERL%%/Test/Able
+@dirrmtry %%SITE_PERL%%/Test
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Po-Chuan Hsieh freebsd_committer 2013-09-22 19:34:17 UTC
State Changed
From-To: open->closed

New port added. Thanks!